#include<bits/stdc++.h>
using namespace std;
int a[2000001];
int main(){

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    for(int i = 0; i < n; i++){
        cin >> a[i];
    }
    int ans = 0;
    bool ok = true;
    for(int i = 0; i < n; i++){
        int maxx = 0;
        for(int j = i + 1; j < n; j++){
            if(maxx > a[i] && maxx > a[j])continue;
            ans++;
            maxx = max(maxx, a[j]);
        }
    }
    cout << ans << endl;

    return 0;
}
